# Makan Siang

This is an iOS and Android hybrid mobile application written using [AngularJS](http://angularjs.org/) and [Cordova](http://cordova.apache.org/) (also known as [PhoneGap](http://phonegap.com/)).

The project code-name comes from the [Indonesian language](http://translate.google.com/#auto/en/Makan%20Siang).

## Resources & Tools

This is a list of tools used by this project. Details about how to acquire and install these tools are below.

* [Xcode](https://developer.apple.com/xcode/)
* [Homebrew](http://mxcl.github.com/homebrew/)
* [Android SDK](http://developer.android.com/sdk/index.html)
* [Cordova CLI](https://github.com/apache/cordova-cli)
* [ios-sim](https://github.com/phonegap/ios-sim)
* [npm](https://npmjs.org/)
* [Yeoman](http://yeoman.io/)
* [Bower](http://twitter.github.com/bower)
* [Grunt](http://gruntjs.com/)

## Setup Instructions

1. Install the latest version of Xcode from the Mac App Store.

2. Install the Xcode Command Line Tools:

	```
	Xcode > Preferences > Downloads > Command Line Tools > Install
	```

3. Install [Homebrew](http://mxcl.github.com/homebrew/):

	```
	ruby -e "$(curl -fsSL https://raw.github.com/mxcl/homebrew/go)"
	```

4. Install Android SDK, ios-sim, and Node.js:

	```
	brew install android-sdk ios-sim node
	```

5. After this, you'll want to add the npm binaries directory to your path. (@todo: Explain how to do this)

6. Use [npm](https://npmjs.org/) (which comes with Node.js) to install these tools:

	```
	npm install -g yo grunt-cli bower cordova
	```

7. Clone the project repository:

	```
	git clone https://github.com/danielmcormond/makan-siang.git
	```

8. Install the dev dependencies:

	```
	cd makan-siang
	npm install
	bower install
	```

8. Add the platforms you want to build for

	```
	cordova platform add ios
	cordova platform add android
	```

8. Build the app:

	```
	cordova build
	```

9. Run the app:

	```
	cordova emulate
	```

@todo: Add more details here
